Debian Bug report logs - #682277
libweb-id-perl: Missing Depends on libmousex-types-perl causing librdf-crypt-perl FTBFS

version graph

Package: src:libweb-id-perl; Maintainer for src:libweb-id-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:22:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version libweb-id-perl/1.921-1

Fixed in version libweb-id-perl/1.921-3

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680805; Package src:librdf-crypt-perl. (Sun, 08 Jul 2012 17:22:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:22:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: librdf-crypt-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 19:11:45 +0200
Source: librdf-crypt-perl
Version: 0.002-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(1, 'inc', 'blib/lib', 'blib/arch')" t/*.t
> 
> #   Failed test 'use RDF::Crypt;'
> #   at t/01basic.t line 2.
> #     Tried to use 'RDF::Crypt'.
> #     Error:  Could not load class (RDF::Crypt::Role::WithPublicKeys) because : Can't locate MouseX/Types/Moose.pm in @INC (@INC contains: /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Any/Moose.pm line 148.
> # BEGIN failed--compilation aborted at /usr/share/perl5/Web/ID.pm line 11.
> # Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> # BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> # Compilation failed in require at /usr/lib/perl5/Mouse/Util.pm line 271.
> #  at /usr/lib/perl5/Mouse/Util.pm line 280
> # 	Mouse::Util::load_class('RDF::Crypt::Role::WithPublicKeys') called at /usr/lib/perl5/Mouse/Util.pm line 303
> # 	Mouse::Util::apply_all_roles('RDF::Crypt::Verifier', 'RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /usr/lib/perl5/Mouse.pm line 40
> # 	Mouse::with('RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 5
> # 	require RDF/Crypt/Verifier.pm called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5
> # 	RDF::Crypt::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> # 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> # 	require RDF/Crypt.pm called at (eval 4) line 2
> # 	main::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> # 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> # 	eval 'package main;
> # use RDF::Crypt @{$args[0]};
> # 1;
> # 
> # ;' called at /usr/share/perl/5.14/Test/More.pm line 885
> # 	Test::More::_eval('package main;\x{a}use RDF::Crypt @{$args[0]};\x{a}1;\x{a}', 'ARRAY(0xd50c60)') called at /usr/share/perl/5.14/Test/More.pm line 860
> # 	Test::More::use_ok('RDF::Crypt') called at t/01basic.t line 2
> # 	main::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> # 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> # Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> # BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> # Compilation failed in require at (eval 4) line 2.
> # BEGIN failed--compilation aborted at (eval 4) line 2.
> # Looks like you failed 1 test of 1.
> t/01basic.t ........... 
> 1..1
> not ok 1 - use RDF::Crypt;
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/1 subtests 
> Could not load class (RDF::Crypt::Role::WithPublicKeys) because : Can't locate MouseX/Types/Moose.pm in @INC (@INC contains: /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Any/Moose.pm line 148.
> BEGIN failed--compilation aborted at /usr/share/perl5/Web/ID.pm line 11.
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> Compilation failed in require at /usr/lib/perl5/Mouse/Util.pm line 271.
>  at /usr/lib/perl5/Mouse/Util.pm line 280
> 	Mouse::Util::load_class('RDF::Crypt::Role::WithPublicKeys') called at /usr/lib/perl5/Mouse/Util.pm line 303
> 	Mouse::Util::apply_all_roles('RDF::Crypt::Verifier', 'RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /usr/lib/perl5/Mouse.pm line 40
> 	Mouse::with('RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 5
> 	require RDF/Crypt/Verifier.pm called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5
> 	RDF::Crypt::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	require RDF/Crypt.pm called at t/02encryption.t line 3
> 	main::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> Compilation failed in require at t/02encryption.t line 3.
> BEGIN failed--compilation aborted at t/02encryption.t line 3.
> # Looks like your test exited with 2 before it could output anything.
> t/02encryption.t ...... 
> 1..5
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 5/5 subtests 
> Could not load class (RDF::Crypt::Role::WithPublicKeys) because : Can't locate MouseX/Types/Moose.pm in @INC (@INC contains: /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Any/Moose.pm line 148.
> BEGIN failed--compilation aborted at /usr/share/perl5/Web/ID.pm line 11.
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> Compilation failed in require at /usr/lib/perl5/Mouse/Util.pm line 271.
>  at /usr/lib/perl5/Mouse/Util.pm line 280
> 	Mouse::Util::load_class('RDF::Crypt::Role::WithPublicKeys') called at /usr/lib/perl5/Mouse/Util.pm line 303
> 	Mouse::Util::apply_all_roles('RDF::Crypt::Verifier', 'RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /usr/lib/perl5/Mouse.pm line 40
> 	Mouse::with('RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 5
> 	require RDF/Crypt/Verifier.pm called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5
> 	RDF::Crypt::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	require RDF/Crypt.pm called at t/03signing.t line 3
> 	main::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> Compilation failed in require at t/03signing.t line 3.
> BEGIN failed--compilation aborted at t/03signing.t line 3.
> # Looks like your test exited with 2 before it could output anything.
> t/03signing.t ......... 
> 1..10
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 10/10 subtests 
> Could not load class (RDF::Crypt::Role::WithPublicKeys) because : Can't locate MouseX/Types/Moose.pm in @INC (@INC contains: /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Any/Moose.pm line 148.
> BEGIN failed--compilation aborted at /usr/share/perl5/Web/ID.pm line 11.
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> Compilation failed in require at /usr/lib/perl5/Mouse/Util.pm line 271.
>  at /usr/lib/perl5/Mouse/Util.pm line 280
> 	Mouse::Util::load_class('RDF::Crypt::Role::WithPublicKeys') called at /usr/lib/perl5/Mouse/Util.pm line 303
> 	Mouse::Util::apply_all_roles('RDF::Crypt::Verifier', 'RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /usr/lib/perl5/Mouse.pm line 40
> 	Mouse::with('RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 5
> 	require RDF/Crypt/Verifier.pm called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5
> 	RDF::Crypt::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	require RDF/Crypt.pm called at t/04encryption-rdf.t line 3
> 	main::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> Compilation failed in require at t/04encryption-rdf.t line 3.
> BEGIN failed--compilation aborted at t/04encryption-rdf.t line 3.
> # Looks like your test exited with 2 before it could output anything.
> t/04encryption-rdf.t .. 
> 1..1
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 1/1 subtests 
> Could not load class (RDF::Crypt::Role::WithPublicKeys) because : Can't locate MouseX/Types/Moose.pm in @INC (@INC contains: /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Any/Moose.pm line 148.
> BEGIN failed--compilation aborted at /usr/share/perl5/Web/ID.pm line 11.
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> Compilation failed in require at /usr/lib/perl5/Mouse/Util.pm line 271.
>  at /usr/lib/perl5/Mouse/Util.pm line 280
> 	Mouse::Util::load_class('RDF::Crypt::Role::WithPublicKeys') called at /usr/lib/perl5/Mouse/Util.pm line 303
> 	Mouse::Util::apply_all_roles('RDF::Crypt::Verifier', 'RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /usr/lib/perl5/Mouse.pm line 40
> 	Mouse::with('RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 5
> 	require RDF/Crypt/Verifier.pm called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5
> 	RDF::Crypt::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	require RDF/Crypt.pm called at t/05signing-rdf.t line 3
> 	main::BEGIN() called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at /«PKGBUILDDIR»/blib/lib/RDF/Crypt/Verifier.pm line 0
> Compilation failed in require at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> BEGIN failed--compilation aborted at /«PKGBUILDDIR»/blib/lib/RDF/Crypt.pm line 5.
> Compilation failed in require at t/05signing-rdf.t line 3.
> BEGIN failed--compilation aborted at t/05signing-rdf.t line 3.
> # Looks like your test exited with 2 before it could output anything.
> t/05signing-rdf.t ..... 
> 1..10
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 10/10 subtests 
> Could not load class (RDF::Crypt::Role::WithPublicKeys) because : Can't locate MouseX/Types/Moose.pm in @INC (@INC contains: t/lib lib /«PKGBUILDDIR»/inc /«PKGBUILDDIR»/blib/lib /«PKGBUILDDIR»/blib/arch /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/perl5/Any/Moose.pm line 148.
> BEGIN failed--compilation aborted at /usr/share/perl5/Web/ID.pm line 11.
> Compilation failed in require at lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> BEGIN failed--compilation aborted at lib/RDF/Crypt/Role/WithPublicKeys.pm line 9.
> Compilation failed in require at /usr/lib/perl5/Mouse/Util.pm line 271.
>  at /usr/lib/perl5/Mouse/Util.pm line 280
> 	Mouse::Util::load_class('RDF::Crypt::Role::WithPublicKeys') called at /usr/lib/perl5/Mouse/Util.pm line 303
> 	Mouse::Util::apply_all_roles('RDF::Crypt::Verifier', 'RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at /usr/lib/perl5/Mouse.pm line 40
> 	Mouse::with('RDF::Crypt::Role::WithPublicKeys', 'RDF::Crypt::Role::DoesVerify', 'RDF::Crypt::Role::StandardSignatureMarkers', 'RDF::Crypt::Role::ToString') called at lib/RDF/Crypt/Verifier.pm line 5
> 	require RDF/Crypt/Verifier.pm called at lib/RDF/Crypt.pm line 5
> 	RDF::Crypt::BEGIN() called at lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at lib/RDF/Crypt/Verifier.pm line 0
> 	require RDF/Crypt.pm called at t/06manifests.t line 6
> 	main::BEGIN() called at lib/RDF/Crypt/Verifier.pm line 0
> 	eval {...} called at lib/RDF/Crypt/Verifier.pm line 0
> Compilation failed in require at lib/RDF/Crypt.pm line 5.
> BEGIN failed--compilation aborted at lib/RDF/Crypt.pm line 5.
> Compilation failed in require at t/06manifests.t line 6.
> BEGIN failed--compilation aborted at t/06manifests.t line 6.
> t/06manifests.t ....... 
> Dubious, test returned 2 (wstat 512, 0x200)
> No subtests run 
> Failed 6/6 test programs. 1/1 subtests failed.
> 
> Test Summary Report
> -------------------
> t/01basic.t         (Wstat: 256 Tests: 1 Failed: 1)
>   Failed test:  1
>   Non-zero exit status: 1
> t/02encryption.t    (Wstat: 512 Tests: 0 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: Bad plan.  You planned 5 tests but ran 0.
> t/03signing.t       (Wstat: 512 Tests: 0 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: Bad plan.  You planned 10 tests but ran 0.
> t/04encryption-rdf.t (Wstat: 512 Tests: 0 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: Bad plan.  You planned 1 tests but ran 0.
> t/05signing-rdf.t   (Wstat: 512 Tests: 0 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: Bad plan.  You planned 10 tests but ran 0.
> t/06manifests.t     (Wstat: 512 Tests: 0 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: No plan found in TAP output
> Files=6, Tests=1,  3 wallclock secs ( 0.03 usr  0.02 sys +  3.00 cusr  0.51 csys =  3.56 CPU)
> Result: FAIL
> make[1]: *** [test_dynamic] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/librdf-crypt-perl_0.002-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680805; Package src:librdf-crypt-perl. (Mon, 09 Jul 2012 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 09 Jul 2012 15:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 680805@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 680805@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#680805: librdf-crypt-perl: FTBFS: tests failed
Date: Mon, 9 Jul 2012 17:12:14 +0200
[Message part 1 (text/plain, inline)]
tags 680805 + patch
thanks

Hi Jonas

The following patch should do, if I'm unterstanding it correctly how
to add it to the debian/rules to have the Depends updated.

Regards,
Salvatore
[0001-Add-missing-build-dependencies.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 15:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680805; Package src:librdf-crypt-perl. (Tue, 10 Jul 2012 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 10 Jul 2012 21:27:16 GMT) Full text and rfc822 format available.

Message #17 received at 680805@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 680805@bugs.debian.org
Subject: Partly a bug in libweb-id-perl
Date: Tue, 10 Jul 2012 23:25:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

As reflected in the patch by Salvatore, the build log reveal only one of 
really two bugs here:

 a) libweb-id-perl lacks dependency on libmo?sex-types-perl
 b) librdf-crypt-perl lacks build-dependency on
    libcrypt-openssl-random-perl

libweb-id-perl 1.921-3 fixes a), and when that has emerged in unstable I 
will fix b) here.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 12 Jul 2012 23:30:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 12 Jul 2012 23:31:43 GMT) Full text and rfc822 format available.

Message #22 received at 680805-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 680805-close@bugs.debian.org
Subject: Bug#680805: fixed in librdf-crypt-perl 0.002-2
Date: Thu, 12 Jul 2012 23:02:09 +0000
Source: librdf-crypt-perl
Source-Version: 0.002-2

We believe that the bug you reported is fixed in the latest version of
librdf-crypt-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680805@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated librdf-crypt-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 13 Jul 2012 00:55:19 +0200
Source: librdf-crypt-perl
Binary: librdf-crypt-perl
Architecture: source all
Version: 0.002-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 librdf-crypt-perl - semantic cryptography
Closes: 680805
Changes: 
 librdf-crypt-perl (0.002-2) unstable; urgency=low
 .
   * Fix (build-)depend on libcrypt-openssl-random-perl.
     Closes: bug#680805. Thanks to Lucas Nussbaum and Salvatore
     Bonaccorso.
   * Fix use pseudo-fields in copyright file (license-in-comment for
     verbatim dual-license text covered in separate License sections,
     and comment-in-license for non-verbatim parts of License sections):
     File format 1.0 mandates License field to either be single-line or
     include all licensing info.
   * Relax to build unversioned on cdbs: Needed version satisfied in
     stable, and oldstable no longer supported.
Checksums-Sha1: 
 7868b4b60f247874d3796f8717f4b103d6276ca1 2293 librdf-crypt-perl_0.002-2.dsc
 1d5959d0c7c8d8e2f9f8c75930affaf79c654887 4495 librdf-crypt-perl_0.002-2.debian.tar.gz
 1930c897d301d79c26d763c2f1e845443e9680c0 57050 librdf-crypt-perl_0.002-2_all.deb
Checksums-Sha256: 
 b65a9430a39025fc1480b2a5bbcc68e0c15c266d581ae16d301497ea6d90ac7a 2293 librdf-crypt-perl_0.002-2.dsc
 3b82de68014a76b52e5620d949f2cb8f21ab629b4fb3e405b10910c3eb305376 4495 librdf-crypt-perl_0.002-2.debian.tar.gz
 6d3607ca86e95d08ef37a5f4b97ae47932099ade037f50dbf4b49f5637ee4bc8 57050 librdf-crypt-perl_0.002-2_all.deb
Files: 
 50f62d5dc1742cf73df540c64de6d91a 2293 perl optional librdf-crypt-perl_0.002-2.dsc
 3d6dcb42828167e18baee5b9acb1e9e9 4495 perl optional librdf-crypt-perl_0.002-2.debian.tar.gz
 9b26771b7b4ab78ff119f4bacaa12af1 57050 perl optional librdf-crypt-perl_0.002-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP/1ajAAoJECx8MUbBoAEh3bYP/1pt0/ptZLNGBtXkuGg0yd9W
Z7nhAPivLkOw1vg6EeGX9knb7uQjLYzb6lFVxfL2676mETivL7HhRipyPCp7NIw1
6oS+cTk/t7Fu14iH1g5btoe90Cv01FsfR3OZR3Ecq0A4Mn2mPjicDJ1k208tnJIO
Edj0iGW0oA+mS1IbiAQhv7xkHUajEv3/vB5N8QBV6w7VwGMuZEmFUirzjv9bXB9Y
LqiWeElpqsQvAebKFd6wZw3fq8LyX4eIDcIL4/RQYd4oO1aZSIwAZGEEMnZOVELS
hfm1Ok/ZWPiyvqVp8kint/eD59jPlchuvtExpTukT8qdiNqTRwMSMiWqILXBMdjd
bNbmwOUgmce9MHTAfNdHCpgRbJmrixHL7xie+vMNtC9kSbYGODF3anRNM0T+PYVV
G7aAkBmuszbWGryUtGNsjeP4fRiKtykVxznr/bPDBOSfe1xo2v5SC0tbe9hwbAEq
nLSvLAAzn3XFchA0ae4TVehUyRSl4wqzlXCf6qUbQM29a/wEn5cphLliR8mtQIzc
LVUHDkv3TsOTFRUQpW8O/8X3o6Y0TIxmwvHwtd1ETPRL/DxUVmVAIBbbgS6llvIm
oSrk+BBGT4uGVzSXZI3ERpYxhD3SzpaKxy+672r6k8n83JxOSNMiHa9bWGZ2v/9b
1EYieW8HEfyTvtClG3ZU
=DAG1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680805; Package src:librdf-crypt-perl. (Fri, 20 Jul 2012 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 20 Jul 2012 22:09:06 GMT) Full text and rfc822 format available.

Message #27 received at 680805@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 680805@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#680805: librdf-crypt-perl: FTBFS: tests failed
Date: Sat, 21 Jul 2012 00:05:49 +0200
[Message part 1 (text/plain, inline)]
clone 680805 -1
reassign -1 src:libweb-id-perl
retitle -1 libweb-id-perl: Missing Depends on libmousex-types-perl causing librdf-crypt-perl FTBFS
severity -1 serious
found -1 1.921-1
fixed -1 1.921-3
affects -1 librdf-crypt-perl
tags -1 wheezy
thanks

There is additional missing Depends on libmousex-types-perl in
libweb-id-perl causing FTBFS for librdf-crypt-perl. This is fixed in
Version 1.921-3 of libweb-id-perl, fixed with git commit
8674899d847ec5fe2d59f30f6f71660a464bf45e[1].

 [1]: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libweb-id-perl.git;a=commitdiff;h=8674899d847ec5fe2d59f30f6f71660a464bf45e

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Bug 680805 cloned as bug 682277 Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:librdf-crypt-perl' to 'src:libweb-id-perl'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions librdf-crypt-perl/0.002-1. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions librdf-crypt-perl/0.002-2. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'libweb-id-perl: Missing Depends on libmousex-types-perl causing librdf-crypt-perl FTBFS' from 'librdf-crypt-perl: FTBFS: tests failed' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:11 GMT) Full text and rfc822 format available.

Marked as found in versions libweb-id-perl/1.921-1 and reopened. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:11 GMT) Full text and rfc822 format available.

Marked as fixed in versions libweb-id-perl/1.921-3. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:12 GMT) Full text and rfc822 format available.

Added indication that 682277 affects librdf-crypt-perl Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 22:09:12 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Mon, 23 Jul 2012 08:54:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 23 Jul 2012 08:54:03 GMT) Full text and rfc822 format available.

Message #48 received at 682277-done@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Xavier <x.guimard@free.fr>, 682277-done@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: RC bugs to closed : Bug 682277 in libweb-id-perl
Date: Mon, 23 Jul 2012 10:50:59 +0200
[Message part 1 (text/plain, inline)]
Source: libweb-id-perl
Source-Version: 1.921-3

Hi Xavier, Hi Jonas

On Sun, Jul 22, 2012 at 08:10:00PM +0200, Xavier wrote:
> it seems that bug #682277 has been resolved by version 1.921-3 but has
> not been closed.

This was more or less intentional, I added only the fixed version. But
indeed it should appear on the radar for the RC bugs for wheezy if we
close the bug. So doing now.

But this still needs to go to testing, see [1].

 [1]: http://bugs.debian.org/682279

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#682277; Package src:libweb-id-perl. (Mon, 23 Jul 2012 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 23 Jul 2012 09:12:07 GMT) Full text and rfc822 format available.

Message #53 received at 682277@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 682277@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: RC bugs to closed : Bug 682277 in libweb-id-perl
Date: Mon, 23 Jul 2012 11:09:28 +0200
[Message part 1 (text/plain, inline)]
On 12-07-23 at 10:50am, Salvatore Bonaccorso wrote:
> On Sun, Jul 22, 2012 at 08:10:00PM +0200, Xavier wrote:
> > it seems that bug #682277 has been resolved by version 1.921-3 but 
> > has not been closed.
> 
> This was more or less intentional, I added only the fixed version. But 
> indeed it should appear on the radar for the RC bugs for wheezy if we 
> close the bug. So doing now.

Ohh, it was _fixed_ but not _closed_.  Now I understand. :-)


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Oct 2012 07:29:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:51:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.